Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.parser
Class OWLlinkSemanticErrorElementHandler

    java.lang.Object

          org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler<E>
              org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkErrorHandler<OWLlinkSemanticErrorResponseException>
                  org.semanticweb.owlapi.owllink.parser.OWLlinkSemanticErrorElementHandler

All Implemented Interfaces:
  OWLlinkElementHandler<OWLlinkSemanticErrorResponseException>, OWLlinkErrorElementHandler<OWLlinkSemanticErrorResponseException>

    public class OWLlinkSemanticErrorElementHandler

extends AbstractOWLlinkErrorHandler<OWLlinkSemanticErrorResponseException>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 26.10.2009

Field Summary

Fields inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkErrorHandler
`error`

Constructor Summary
`OWLlinkSemanticErrorElementHandler(OWLXMLParserHandler handler)`

Method Summary
`OWLlinkSemanticErrorResponseException` | `getOWLLinkObject()`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkErrorHandler
`attribute, endElement, getErrorString`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler
`getFullIRI, getOWLObject, getParentHandler, getRequest, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owlapi.owllink.parser.OWLlinkElementHandler
`handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Constructor Detail

### OWLlinkSemanticErrorElementHandler

    public OWLlinkSemanticErrorElementHandler(OWLXMLParserHandler handler)

Method Detail

### getOWLLinkObject

    public OWLlinkSemanticErrorResponseException getOWLLinkObject()

  Specified by:
    `getOWLLinkObject` in interface `OWLlinkElementHandler<OWLlinkSemanticErrorResponseException>`
  Specified by:
    `getOWLLinkObject` in class `AbstractOWLlinkElementHandler<OWLlinkSemanticErrorResponseException>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD